it.csi.mddtools.guigen

## Interface Panel

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    Breadcrumb, CommandPanel, DialogPanel, FormPanel, MenuPanel, MsgBoxPanel, MultiPanel, PanelDefUse, StdMessagePanel, TabSetPanel, UserDefinedPanel, UserInfoPanel, WidgetsPanel, WizardPanel

      public interface Panel
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Panel'. Classe astratta dalla quale discendono tutti i pannelli

  The following features are supported:

  - `Name`
  - `Label`
  - `Layout`
  - `Layout Spec`
  - `Scrollable`
  See Also:
    `GuigenPackage.getPanel()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute
    `PanelLayout` | `getLayout()` Returns the value of the 'Layout' containment reference
    `WidgetLayoutSpecifier` | `getLayoutSpec()` Returns the value of the 'Layout Spec' containment reference
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `boolean` | `isScrollable()` Returns the value of the 'Scrollable' attribute
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute
    `void` | `setLayout(PanelLayout value)` Sets the value of the '`Layout`' containment reference
    `void` | `setLayoutSpec(WidgetLayoutSpecifier value)` Sets the value of the '`Layout Spec`' containment reference
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
    `void` | `setScrollable(boolean value)` Sets the value of the '`Scrollable`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Codice identificativo del pannello. Deve essere univoco all'interno del ContentPanel e deve essere un identificatore valido java.
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `GuigenPackage.getPanel_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.

      If the meaning of the 'Label' attribute isn't clear, there really should be more of a description here...

      Etichetta descrittiva del pannello. Il rendering e l'utilizzo di questo elemento dipende dal particolare sottotipo di pannello e dalla cartuccia di layout/portale.
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `GuigenPackage.getPanel_Label()`

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`

    - #### getLayout

          PanelLayout getLayout()

      Returns the value of the 'Layout' containment reference.

      If the meaning of the 'Layout' containment reference isn't clear, there really should be more of a description here...

      Il layout con cui devono essere organizzati visivamente gli elementi interni al pannello, che possono essere, a seconda del sottotipo di pannello, dei sottopannelli o dei widget. L'impostazioen della disposizione effettiva degli elementi interni, fissato un particolare layout, deve essere completata tramite un LayoutSpecifier (su ciascun elemento interno) coerente con il tipo di layout scelto (es. Se il layout è un GridLayout, negli elementi interni occorre specificare un GrigWidgetLayoutSpec).
      Returns:
        the value of the 'Layout' containment reference.
      See Also:
        `setLayout(PanelLayout)`, `GuigenPackage.getPanel_Layout()`

    - #### setLayout

          void setLayout(PanelLayout value)

      Sets the value of the '`Layout`' containment reference.
      Parameters:
        `value` - the new value of the 'Layout' containment reference.
      See Also:
        `getLayout()`

    - #### getLayoutSpec

          WidgetLayoutSpecifier getLayoutSpec()

      Returns the value of the 'Layout Spec' containment reference.

      If the meaning of the 'Layout Spec' containment reference isn't clear, there really should be more of a description here...

      Specificatore del posizionamento di questo pannello all'intenro del layout del pannello contenitore.
      Returns:
        the value of the 'Layout Spec' containment reference.
      See Also:
        `setLayoutSpec(WidgetLayoutSpecifier)`, `GuigenPackage.getPanel_LayoutSpec()`

    - #### setLayoutSpec

          void setLayoutSpec(WidgetLayoutSpecifier value)

      Sets the value of the '`Layout Spec`' containment reference.
      Parameters:
        `value` - the new value of the 'Layout Spec' containment reference.
      See Also:
        `getLayoutSpec()`

    - #### isScrollable

          boolean isScrollable()

      Returns the value of the 'Scrollable' attribute. Determina la presenza di una cornice scrollabile attorno al pannello. Default = false
      Returns:
        the value of the 'Scrollable' attribute.
      See Also:
        `setScrollable(boolean)`, `GuigenPackage.getPanel_Scrollable()`

    - #### setScrollable

          void setScrollable(boolean value)

      Sets the value of the '`Scrollable`' attribute.
      Parameters:
        `value` - the new value of the 'Scrollable' attribute.
      See Also:
        `isScrollable()`